Skip to main content

Get document workflows

GET 

/documents/:documentId/workflows

Gets a document workflows; available as an Add-On Module

Request

Path Parameters

    documentId stringrequired

    Document Identifier

Query Parameters

    siteId string

    Site Identifier

    artifactId string

    Artifact Document Identifier

Responses

200 CREATED

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    workflows

    object[]

    List of Document Workflows

  • Array [

  • workflowId string

    Workflow identifier

    name string

    Workflow name

    description string

    Workflow description

    currentStepId string

    The current step workflow is on

    actionCount integer

    Number of actions added for the current workflow step

    completedActionCount integer

    Number of completed actions for the current workflow step

    status DocumentWorkflowStatus (string)

    Status of the Workflow Document

    Possible values: [COMPLETE, IN_PROGRESS, FAILED]

    insertedDate string

    Inserted Timestamp

  • ]

  • next string
Loading...